Get per-subscription revenue by month
curl --request GET \
--url https://api.salesbricks.com/api/v2/revenue/subscriptions \
--header 'X-SALESBRICKS-KEY: <api-key>'import requests
url = "https://api.salesbricks.com/api/v2/revenue/subscriptions"
headers = {"X-SALESBRICKS-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-SALESBRICKS-KEY': '<api-key>'}};
fetch('https://api.salesbricks.com/api/v2/revenue/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Revenue
Get per-subscription revenue by month
Returns one row per (subscription, currency) with a sparse entries list of records. Revenue types are: recurring, overage, pay_as_you_go, one_time, and milestone. Continuation logic is applied server-side for recurring revenue — active subscriptions are forward-filled using their renewable MRR. Paginated at the (subscription, currency) grain via limit/offset.
GET
/
revenue
/
subscriptions
Get per-subscription revenue by month
Authorizations
API key for authentication
Query Parameters
Filter results to a single customer.
End month in YYYY-MM format (defaults to 11 months after start).
Page size (default 100, max 1000).
Page offset (default 0).
Start month in YYYY-MM format (defaults to 12 months ago).
Filter results to a single subscription.
Response
200
No response body